#ifndef QUDEVMONITOR_P_H
#define QUDEVMONITOR_P_H

#include "QUdevMonitor.h"
#include "QUdev_p.h"

class QSocketNotifier;
class QUdevMonitorPrivate
{
public:
    QUdevMonitorPrivate(QUdevMonitor *parent, QUdevMonitor::EventSource eventSource, const QUdevContext &context);
    virtual ~QUdevMonitorPrivate();

    const QUdevContext &context() const;
    struct udev_monitor *coreMonitor() const;

private:
    Q_DISABLE_COPY(QUdevMonitorPrivate)
    Q_DECLARE_PUBLIC(QUdevMonitor)

    bool reset();

    QUdevMonitor *q_ptr;
    QUdevContext m_context;
    QUdevMonitor::EventSource m_eventSource;
    QSocketNotifier *m_notifier;
    struct udev_monitor *m_coreMonitor;
    bool m_isListening;
};

#endif // QUDEVMONITOR_P_H
